Jump to: navigation, search

Difference between revisions of "EMF/EMF 2.3/Plan History"

< EMF‎ | EMF 2.3
m
 
(2 intermediate revisions by the same user not shown)
Line 1: Line 1:
A brief history of the [http://www.eclipse.org/modeling/emf/docs/dev-plans/emf_project_plan_2.3.html EMF 2.3 Plan]:
+
An abridged history of the [http://www.eclipse.org/modeling/emf/docs/dev-plans/emf_project_plan_2.3.html EMF 2.3 Plan] and the adoption of JDK 5.0:
  
:* [http://dev.eclipse.org/newslists/news.eclipse.tools.emf/msg13791.html People are asking for support for Java 5] - posted Dec 2005 (Eclipse 3.2 / EMF 2.2 timeframe)
+
:* 2005-12-13 [http://dev.eclipse.org/newslists/news.eclipse.tools.emf/msg13791.html People are asking for support for Java 5] (eclipse.tools.emf newsgroup; Eclipse 3.2 / EMF 2.2 timeframe)
:* [http://dev.eclipse.org/viewcvs/index.cgi/www/modeling/emf/docs/dev-plans/emf_project_plan_3.0.html?hideattic=0&root=Eclipse_Website&view=log EMF 2.3 Project Plan] - posted July 20 2006 (later renamed from [http://dev.eclipse.org/viewcvs/index.cgi/www/modeling/emf/docs/dev-plans/emf_project_plan_3.0.html?hideattic=0&root=Eclipse_Website&view=log 3.0] to [http://dev.eclipse.org/viewcvs/index.cgi/www/modeling/emf/docs/dev-plans/emf_project_plan_2.3.html?hideattic=0&root=Eclipse_Website&view=log 2.3] on Dec 12 2006)
+
 
:* [http://dev.eclipse.org/newslists/news.eclipse.tools.emf/msg20271.html Early announcement re: plan for 2.3M4] - posted Nov 7 2006
+
:* 2006-06-28 [http://www.eclipse.org/org/councils/20060628ACMinutes.php Architecture Council Minutes] (website; ''"All projects should have a statement in their project plan about their position on [[:Category:Java | 1.5]]."'')
:* [[EMF 2.3 Adoption]] - posted Nov 9 2006
+
 
:* [http://www.eclipse.org/modeling/emf/docs/#whatsnew What's New] - posted Nov 18, linked on EMF homepage, docs page, downloads page
+
:* 2006-06-29 [http://www.eclipse.org/org/councils/20060629PCMinutes.php Planning Council Minutes] (website; ''"There was a discussion of which JVM to use for Europa. Because running Europa will require running with the highest level JVM of all the plug-ins, running all of Europa is almost certainly going to need JVM 1.5."'')
:* [http://dev.eclipse.org/newslists/news.eclipse.tools.emf/msg20750.html Second announcement re: 2.3M4] - posted Dec 1 2006
+
 
:* [[EMF 2.3 Generics]] - posted Dec 7 2006
+
:* 2006-06-30 [http://www.eclipse.org/callisto/ Eclipse 3.2 / EMF 2.2 / Callisto released]
:* [[EMF 2.3 JVM Requirements]] - posted Jan 8 2007
+
:* [[EMF 2.3 New and Noteworthy]] - posted April 26 2007
+
:* 2006-07-20 [http://www.eclipse.org/modeling/emf/docs/#plandocs EMF 2.3 Project Plan] (website; later renamed from [http://dev.eclipse.org/viewcvs/index.cgi/www/modeling/emf/docs/dev-plans/emf_project_plan_3.0.html?hideattic=0&root=Eclipse_Website&view=log 3.0] to [http://dev.eclipse.org/viewcvs/index.cgi/www/modeling/emf/docs/dev-plans/emf_project_plan_2.3.html?hideattic=0&root=Eclipse_Website&view=log 2.3] on 2006-12-12)
:* [http://www.eclipse.org/modeling/emf/downloads/?project=emf EMF 2.3 released] - posted June 28 2007
+
 
:* [[EMF 2.3 Migration Guide]] - posted July 16 2007
+
:* 2006-07-27 [http://dev.eclipse.org/mhonarc/lists/cross-project-issues-dev/msg00566.html WTP states its Europa contribution (WTP 2.0) will prereq JDK 5.0] (cross-project-issues-dev@eclipse.org)
 +
 
 +
:* 2006-10-05 [http://dev.eclipse.org/mhonarc/lists/cross-project-issues-dev/msg00676.html Ed explains why we switched from EMF 3.0 to 2.3] (cross-project-issues-dev@eclipse.org)
 +
 
 +
:* 2006-10-06 [http://dev.eclipse.org/mhonarc/lists/cross-project-issues-dev/msg00681.html Jeff clarifies what EMF moving to JDK 5 means for BIRT] (cross-project-issues-dev@eclipse.org)
 +
 
 +
:* 2006-10-12 [http://www.eclipse.org/org/councils/20061012ACMinutes.php Architecture Council Minutes] (website)
 +
 
 +
:* 2006-11-07 [http://dev.eclipse.org/newslists/news.eclipse.tools.emf/msg20271.html Early announcement re: plan for 2.3M4] (eclipse.tools.emf newsgroup)
 +
 
 +
:* 2006-11-09 [[EMF 2.3 Adoption]] (wiki)
 +
 
 +
:* 2006-11-18 [http://www.eclipse.org/modeling/emf/docs/#whatsnew What's New] (linked on EMF homepage, news page, docs page, downloads page)
 +
 
 +
:* 2006-12-01 [http://dev.eclipse.org/newslists/news.eclipse.tools.emf/msg20750.html Second announcement re: 2.3M4] (eclipse.tools.emf newsgroup)
 +
 
 +
:* 2006-12-07 [[EMF 2.3 Generics]] (wiki, linked from EMF docs page & EMF downloads page "Bleeding Edge")
 +
 
 +
:* 2007-01-03 [[Europa_Minutes_2007.01.03#TPTP.2C_EMF.2C_and_Java_5 | Europa Meeting Minutes]] (wiki; ''"It should not be a surprise that EMF 2.3 requires Java 5."'')
 +
 
 +
:* 2007-01-07 [http://dev.eclipse.org/mhonarc/lists/eclipse.org-planning-council/msg00300.html Bjorn states confusion how the process broke down] (eclipse.org-planning-council@eclipse.org; ''"the EMF team clearly brought this JVM 4/5 issue forward over seven months ago so why is it suddenly a surprise and a blocking issue for Europa?"'')
 +
 
 +
:* 2007-01-07 [http://dev.eclipse.org/mhonarc/lists/eclipse.org-planning-council/msg00301.html Harm discusses EMF 2.3 and Java 5] (eclipse.org-planning-council@eclipse.org)
 +
 
 +
:* 2007-01-08 [[EMF 2.3 JVM Requirements]] (wiki, linked from EMF docs page & EMF downloads page "Bleeding Edge")
 +
 
 +
:* 2007-01-23 [http://www.eclipse.org/org/councils/20070123PCMinutes.php Planning Council Minutes] (website; ''"Add a link to the Europa page [...] discussing the EMF 2.2/2.3 features and JVM 1.4/1.5 issues and what the consequences of whether one should use EMF 2.2 or 2.3 - [[EMF_2.3_JVM_Requirements#Runtime_.2F_Compilation_Compatibility|here is the link]]"'')
 +
 
 +
:* 2007-03-04 [[Europa_Minutes_2007.03.04#Europa_on_1.4_versus_5 | Europa Meeting Minutes]] (wiki)
 +
 
 +
:* 2007-04-26 [[EMF 2.3 New and Noteworthy]] (wiki, linked from EMF docs page)
 +
 
 +
:* 2007-06-28 [http://www.eclipse.org/modeling/emf/downloads/?project=emf EMF 2.3 released] (EMF downloads page)
 +
 
 +
:* 2007-07-16 [[EMF 2.3 Migration Guide]] (wiki, linked from EMF docs page)
  
  
 
[[Category:EMF]]
 
[[Category:EMF]]

Latest revision as of 13:08, 21 December 2007

An abridged history of the EMF 2.3 Plan and the adoption of JDK 5.0:

  • 2006-06-29 Planning Council Minutes (website; "There was a discussion of which JVM to use for Europa. Because running Europa will require running with the highest level JVM of all the plug-ins, running all of Europa is almost certainly going to need JVM 1.5.")
  • 2006-11-18 What's New (linked on EMF homepage, news page, docs page, downloads page)
  • 2006-12-07 EMF 2.3 Generics (wiki, linked from EMF docs page & EMF downloads page "Bleeding Edge")
  • 2007-01-07 Bjorn states confusion how the process broke down (eclipse.org-planning-council@eclipse.org; "the EMF team clearly brought this JVM 4/5 issue forward over seven months ago so why is it suddenly a surprise and a blocking issue for Europa?")
  • 2007-01-23 Planning Council Minutes (website; "Add a link to the Europa page [...] discussing the EMF 2.2/2.3 features and JVM 1.4/1.5 issues and what the consequences of whether one should use EMF 2.2 or 2.3 - here is the link")